unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  AppCtrl, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    AppInstance1: TAppInstance;
    Memo1: TMemo;
    Button1: TButton;
    Memo2: TMemo;
    Label1: TLabel;
    Label2: TLabel;
    CheckBox1: TCheckBox;
    Timer1: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure AppInstance1DetectAbort(var AInstance: TInstance);
    procedure Timer1Timer(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Button1.Click;
  AppInstance1.Active := True;
  Memo1.Lines.Assign (AppInstance1.Instances);
  Memo2.Lines.Assign (AppInstance1.Users);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  AppInstance1.Refresh;
  Memo1.Lines.Assign (AppInstance1.Instances);
  Memo2.Lines.Assign (AppInstance1.Users);
end;

procedure TForm1.AppInstance1DetectAbort(var AInstance: TInstance);
begin
  with AInstance do
    ShowMessage (UserName + ' login time ' + DateTimeToStr (LoginTime) + ' not logged out!') 
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  Button1.Click;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  Timer1.Enabled := CheckBox1.Enabled;
end;

end.
